Loading...
Searching...
No Matches
pappso::FastaSeqHandler Class Reference

`#include <fastahandlerinterface.h>`

Inheritance diagram for pappso::FastaSeqHandler:

## Public Member Functions

const QString & | getDescription () const
const QString & | getSequence () const
void | setSequence (const QString &description_in, const QString &sequence_in) override

## Private Attributes

QString | description
QString | sequence

## Detailed Description

Definition at line 39 of file fastahandlerinterface.h.

## Member Function Documentation

## getDescription()

const QString & pappso::FastaSeqHandler::getDescription | ( |  | ) | const

inline

Definition at line 43 of file fastahandlerinterface.h.

{
return description;
};
pappso::FastaSeqHandler::description
QString description
Definition fastahandlerinterface.h:61

References description.

## getSequence()

const QString & pappso::FastaSeqHandler::getSequence | ( |  | ) | const

inline

Definition at line 48 of file fastahandlerinterface.h.

{
return sequence;
};
pappso::FastaSeqHandler::sequence
QString sequence
Definition fastahandlerinterface.h:62

References sequence.

## setSequence()

void pappso::FastaSeqHandler::setSequence | ( | const QString & | description_in,
|  | const QString & | sequence_in )

inline override virtual

Implements pappso::FastaHandlerInterface.

Definition at line 53 of file fastahandlerinterface.h.

{
description = description_in;
sequence = sequence_in;
};

References description, and sequence.

## Member Data Documentation

## description

QString pappso::FastaSeqHandler::description

private

Definition at line 61 of file fastahandlerinterface.h.

Referenced by getDescription(), and setSequence().

## sequence

QString pappso::FastaSeqHandler::sequence

private

Definition at line 62 of file fastahandlerinterface.h.

Referenced by getSequence(), and setSequence().

The documentation for this class was generated from the following file:

- pappsomspp/core/fasta/fastahandlerinterface.h